# DisOrder

DisOrder is a small static site generator. It takes Markdown as an input but the main features is that every article and page can have custom HTML and CSS.

I mainly written it for [HelloDrNick.com](http://HelloDrNick.com) and so it can make a mainpage with all the headlines of the articles and some small other (more) static pages you can link manualy in your theme or in articles.

But it can also do things like [NickLoose.de](http://nickloose.de).

## Getting Started

    $ gem install DisOrder
    $ disorder init my_blog
    $ cd my_blog
    $ disorder build -s   # Look at http://localhost:8000

If you want to you can now add a new Article or Page like

	$ disorder generate page "About Me"

or

	$ disorder generate article "First Post"

This only generates the a Article or Page Stub with a Markdown File.
If you want to have custom  HTML, CSS or JS you can add them to the every Article folder. 

Here is an example strucator of a DisOrder Folder

    .
    |-- config.yml
    |-- articles
    |   |-- hello_world
    |   |   |-- index.md
    |   |-- Freedom
    |   |   |-- index.html
    |   |   |-- css/
    |   |   |-- js/
    |   |   |-- fonts/
    |   |   |-- images/
    |-- meta
    |   |-- articles.yml
    |   |-- pages.yml
    |-- static
    |   |-- about
    |   |   |-- index.md
    |-- themes
    |   |-- base.html
    |   |-- baseArticle.html
    |   |-- indexTheme.html
    |   |-- css
    |   |   |-- index.css
    |   |   |-- style.css
    |   |-- images/
    
 
# Templates

Every html file is a erb template so you have the full power of ruby on your hands yay.
Look a the default template to see what todo.
    
    

