# -*- encoding: utf-8 -*-
require File.expand_path('../lib/DisOrder/version', __FILE__)

Gem::Specification.new do |gem|
  gem.authors       = ["Nick Loose"]
  gem.email         = ["me@nickloose.de"]
  gem.description   = %q{DisOrder is a small static site generator.}
  gem.summary       = %q{DisOrder is a small static site generator. It takes Markdown as an input but the main features is that every article and page can have custom HTML and CSS.}
  gem.homepage      = "http://disorder-cms.org"
  gem.license = 'MIT'


  gem.add_runtime_dependency('redcarpet', '~> 2.2.2')
  gem.add_runtime_dependency('cli-colorize', '~> 2.0.0')
  gem.add_runtime_dependency('thor', '~> 0.17.0')

  gem.files         = `git ls-files`.split($\)
  gem.executables   = gem.files.grep(%r{^bin/}).map{ |f| File.basename(f) }
  gem.name          = "DisOrder"
  gem.require_paths = ["lib"]
  gem.version       = DisOrder::VERSION
end
